Bug 200481 - news/husky-hpt does not build/install the sqpack utility
Summary: news/husky-hpt does not build/install the sqpack utility
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Eugene Grosbein
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2015-05-27 10:47 UTC by vas
Modified: 2017-05-25 11:49 UTC (History)
4 users (show)

See Also:
vlad-fbsd: maintainer-feedback+


Attachments
[patch] A separate port for news/husky-sqpack (3.50 KB, text/plain)
2015-05-28 05:51 UTC, vas
no flags Details
New, simplified version of the port (3.50 KB, application/octet-stream)
2017-05-21 10:41 UTC, vas
no flags Details
Yet another interation of the port (1.27 KB, application/octet-stream)
2017-05-25 01:52 UTC, vas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vas 2015-05-27 10:47:03 UTC
news/husky-hpt does not build/install the sqpack utility while news/husky-sqpack has been removed from the ports tree. There is nothing left to purge the messagebase with.
Comment 1 vas 2015-05-28 05:51:33 UTC
Created attachment 157211 [details]
[patch] A separate port for news/husky-sqpack

I suggest creating a separate port news/husky-sqpack, please see the attached tarball as an example. Works for me.
Comment 2 vas 2015-05-29 03:05:46 UTC
it should be 

post-patch:
        ${REINPLACE_CMD} -e 's^/etc/fido/config^${PREFIX}/etc/fido/config^' \
                ${WRKSRC}/sqpack.1


in the Makefile, not the way it is now ("/fido/etc/config").
Comment 3 Oleg Sharoyko 2015-06-01 15:54:19 UTC
Hi,

Sorry for the dealy. The idea of a separate port souds good to me. We would need some QA, as I understand, preferrably poudriere logs. I will try to find some time this week to have a better look at the patch and generate logs.

Oleg.
Comment 4 Vladimir Krstulja 2016-06-05 01:11:11 UTC
Maintainer feedback timeout.

It's been a while now guys. What shall we do with this report?
Comment 5 Vladimir Krstulja 2016-06-05 01:22:44 UTC
I apologize, my mistake, the maintainer has provided feedback, I just read the wrong email address... This happens when you guys don't flag your feedbacks. ;)

The question still remains, what's the state of this PR?
Comment 6 vas 2016-06-05 15:31:55 UTC
Colleagues,

I don't quite understand why this PR has stuck. I provided a patch (a separate port actually), why is it not being integrated into the ports tree?
Comment 7 vas 2017-02-17 01:42:52 UTC
ping
Comment 8 vas 2017-05-21 10:41:10 UTC
Created attachment 182772 [details]
New, simplified version of the port

I have simplified the port even more. Can't wait for it to be added to the ports tree.
Comment 9 Eugene Grosbein freebsd_committer 2017-05-24 13:30:43 UTC
Please use ports-mgmt/portlint on your port and submit it as shar archive. Checkout these Porter's Handbook sections for details:

https://www.freebsd.org/doc/en/books/porters-handbook/porting-portlint.html
https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html
Comment 10 vas 2017-05-25 01:52:47 UTC
Created attachment 182876 [details]
Yet another interation of the port

Attached please find the shar archive. portlint does not find any errors.
Comment 11 commit-hook freebsd_committer 2017-05-25 11:45:51 UTC
A commit references this bug:

Author: eugen
Date: Thu May 25 11:45:07 UTC 2017
New revision: 441678
URL: https://svnweb.freebsd.org/changeset/ports/441678

Log:
  news/husky-sqpack is a subport for news/husky to purge squish and jam msgbases.
  It is a part of Husky Fidosoft Project.

  PR:		200481
  Submitted by:	Victor Sudakov <vas@mpeks.tomsk.su>
  Approved by:	vsevolod (mentor)

Changes:
  head/news/Makefile
  head/news/husky-sqpack/
  head/news/husky-sqpack/Makefile
  head/news/husky-sqpack/pkg-descr
Comment 12 Eugene Grosbein freebsd_committer 2017-05-25 11:49:11 UTC
Committed, thank you!